/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebPaneDragActionDescription } from "./WebPaneDragActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebMoveFloatingPaneActionDescription = /*@__PURE__*/ (() => {
    class WebMoveFloatingPaneActionDescription extends WebPaneDragActionDescription {
        constructor() {
            super();
            this.o = null;
            this.j = null;
            this.i = null;
        }
        get_type() {
            return "WebMoveFloatingPaneAction";
        }
        get actionType() {
            return this.o;
        }
        set actionType(a) {
            this.o = a;
            this.e("ActionType");
        }
        get oldLocation() {
            return this.j;
        }
        set oldLocation(a) {
            this.j = a;
            this.e("OldLocation");
        }
        get newLocation() {
            return this.i;
        }
        set newLocation(a) {
            this.i = a;
            this.e("NewLocation");
        }
    }
    WebMoveFloatingPaneActionDescription.$t = /*@__PURE__*/ markType(WebMoveFloatingPaneActionDescription, 'WebMoveFloatingPaneActionDescription', WebPaneDragActionDescription.$);
    WebMoveFloatingPaneActionDescription.__marshalByValue1 = true;
    WebMoveFloatingPaneActionDescription.__marshalByValueAlias1 = "MoveFloatingPaneAction";
    return WebMoveFloatingPaneActionDescription;
})();
